<h1>{t}Scrum-based Translation{/t}</h1>
<h2>{t}Release Planning{/t}</h2>
<p>
 {t}The release planning shows which parts of the Bible will be translated and delivered during which Sprint.{/t}
 {t}It is convenient to define a Sprint in months, so that the release planning mentions January, February, and so on.{/t}
</p>
<br>
<p>
 {t}It is often helpful to stick the release planning to the wall so that everybody can see the grand picture.{/t}
</p>
<br>
<p>
 {t}The advantages of a release plan are:{/t}
 {t}1. It gives the team a common vision about what needs to be achieved, and when.{/t}
 {t}2. It guides the team to make decisions during detailed planning.{/t}
 {t}3. It helps prioritize the actions.{/t}
 {t}4. It resolves conflicts and guides the teams toward the right balance on trade-offs.{/t}
</p>
<br>
<h2>{t}Product Backlog{/t}</h2>
<p>
 {t}The product backlog is an ordered list of requirements that is maintained for the Bible translation.{/t}
 {t}It consists of translation tasks, checking tasks, testing tasks, comprehension tasks, whatever needs to be done in order to deliver a reliable manuscript.{/t}
 {t}The Product Owner prioritizes the items on this list.{/t}
</p>
<br>
<h2>{t}Daily Scrum Meeting{/t}</h2>
<p>
 {t}On each day of a sprint, the Bible translation team holds daily meetings.{/t}
 {t}These meetings are called "daily scrum meetings”.{/t}
 {t}The scrum meetings are held in the same place and at the same time.{/t}
 {t}The daily scrum meeting is best held in the morning, because it assists in setting the context for the work of that day.{/t}
 {t}During the meeting, all members stand, as this keeps the discussion short and relevant.{/t}
 {t}The scrum meeting is strictly time-boxed to 15 minutes.{/t}
</p>
<br>
<p>
 {t}There is a difference between people who are "committed" to the Bible translation project, and those who are "involved" in it.{/t}
 {t}Scrum affords special status to those who are committed.{/t}
 {t}Many teams enforce a rule in which only those who are committed are allowed to talk during the daily scrum meeting.{/t}
</p>
<br>
<p>
 {t}All team members are required to attend the scrum meetings.{/t}
 {t}The Scrum Master and the and Product Owner (usually the Bible Translation Manager) are committed team members.{/t}
 {t}They are expected to attend and participate.{/t}
 {t}Anyone else, for example a Church leader, a Committee member, or a Translator from another team, is allowed to attend but is there to listen only.{/t}
 {t}This makes the daily scrum meeting an excellent way for a scrum team to disseminate information.{/t}
 {t}If you are interested in hearing the status of the project, attend that day's meeting.{/t}
</p>
<br>
<p>
 {t}The scrum meeting is not the place for solving problems or resolving issues.{/t}
 {t}Issues that are raised are usually dealt with by one or two team members immediately after the scrum.{/t}
</p>
<br>
<p>{t}During the daily Scrum, each team member answers the following three questions:{/t}</p>
<p>1. {t}What did you do yesterday?{/t}</p>
<p>2. {t}What are you going to do today?{/t}</p>
<p>3. {t}Are there any impediments in your way?{/t}</p>
<p>{t}The Scrum Master asks each team member to answer these questions, the member speaks, the Scrum Master thanks the member, and then goes to the next member.{/t}</p>
<br>
<p>
 {t}By focusing on what each person did yesterday and will do today, the team gains an understanding of what work has been done and what work remains.{/t}
 {t}The daily scrum meeting is not a status update meeting in which the boss is finding out about who is slow in his work.{/t}
 {t}Rather, it is a meeting in which team members make commitments to each other.{/t}
 {t}If a translator says, "Today, I will prepare chapter 10 and 11 of Matthew", everyone knows that in tomorrow's meeting, he will say whether or not he did finish.{/t}
 {t}This has the wonderful effect of helping a team realize the significance of these commitments, and that their commitments are to each other, and not to anyone else.{/t}
</p>
<br>
<p>
 {t}Any impediments that are raised in the daily scrums become the Scrum Master's responsibility to resolve as quickly as possible.{/t}
 {t}Typical impediments are:{/t}
</p>
<p>1. {t}My ... broke and I need a new one today.{/t}</p>
<p>2. {t}I still haven't got the ... I requested a month ago.{/t}</p>
<p>3. {t}I'm struggling to understand ... and would like to discuss it with someone.{/t}</p>
<p>4. {t}The ... has asked me to work on something else for a few days.{/t}</p>
<p>
 {t}In cases where the Scrum Master cannot remove these impediments directly himself, he still takes responsibility for making sure someone on the team does quickly resolve the issue.{/t}
</p>
<br>
<p>
 {t}Every day a different person leads the daily scrum meeting.{/t}
 {t}This gets the entire team involved.{/t}
 {t}It opens up new channels for communication.{/t}
 {t}It builds trust between the Translators and the Scrum Master.{/t}
 {t}Team members can learn from one another's techniques.{/t}
 {t}The Scrum Master ensures to set a good example for leading the daily scrum meeting.{/t}
</p>
<br>
<p><a href="http://en.wikipedia.org/wiki/Stand-up_meeting">{t}External reference.{/t}</a></p>
